Skip to main content
`Ctrl`+`K`

# KSPDMActive

Indicates if the `DM` attached to the `KSP` should be used to compute the operator, the right-hand side, or the initial guess

## Synopsis

    typedef enum {
      KSP_DMACTIVE_OPERATOR      = 1,
      KSP_DMACTIVE_RHS           = 2,
      KSP_DMACTIVE_INITIAL_GUESS = 4,
      KSP_DMACTIVE_ALL           = 1 + 2 + 4
    } KSPDMActive;

## Values

- `KSP_DMACTIVE_OPERATOR` - compute the operator

- `KSP_DMACTIVE_RHS` - compute the right-hand side

- `KSP_DMACTIVE_INITIAL_GUESS` - compute the initial guess

- `KSP_DMACTIVE_ALL` - compute all of them

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetDMActive()`, `KSPSetDM()`

## Level

intermediate

## Location

include/petscksp.h

## Examples

src/dm/impls/stag/tutorials/ex4.c
src/ksp/ksp/tutorials/ex73.c
src/dm/impls/stag/tutorials/ex8.c
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex29.c
src/ksp/ksp/tutorials/ex43.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages